id: iCloud-phish

info:
  name: iCloud phishing Detection
  author: rxerium
  severity: info
  description: |
    A iCloud phishing website was detected
  reference:
    - https://icloud.com
  metadata:
    max-request: 1
  tags: phishing,icloud,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Log in to iCloud to access your photos, mail, notes, documents and more. Sign in with your Apple&nbsp;ID or create a new account to start using Apple services.'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"icloud.com")'
          - '!contains(host,"apple.com")'
        condition: and
# digest: 4a0a00473045022100b825839a5064b77448793d7d812be61a7f55a50397e0619198fb981607842db902205439489251a62a4629bad723825982755751bb09fe91abac7855b32dd6d49b4b:922c64590222798bb761d5b6d8e72950